
<template>
    <form @submit="onSubmit" class="add-form">
        <div class="form-control">
            <label>Task</label>
            <input type="text" v-model="text" name="text" placeholder="Add Task" />
        </div>
        <div class="form-control">
            <label>Day & Time</label>
            <input
                type="text"
                v-model="day"
                name="day"
                placeholder="Add Day & Time"
            />
        </div>
        <div class="form-control form-control-check">
            <label>Task State</label>
            <input type="checkbox" v-model="state" name="state" />
        </div>

            <input type="submit" value="Save Task" class="btn btn-block" />
    </form>
</template>

<script>
    export default{
        name: 'AddTask',
        data(){
            
            return {
                text: '',
                day: '',
                state: false

            }
        },
        methods: {
            onSubmit(e){
                e.preventDefault();

                const new_task = {
                    text : this.text,
                    day: this.day,
                    state: this.state,

                }
                this.$emit('add-task', new_task)
            }
        }
    }
</script>


<style scoped>
    .form-control{
        display: flex;
        flex-direction: column;
        margin: 0.1rem 0;
    }
    .form-control-check{
        display: block
    }
    .add-form{
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }
</style>